package com.qmth.teachcloud.task.job.service;

import java.io.IOException;

/**
 * @Description: job service
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/3/31
 */
public interface JobService {

    /**
     * 发送即将到期数据
     */
    void sendSmsExpireTask();

    /**
     * 发送逾期数据
     */
    void sendSmsOverdueTask();

    /**
     * 重发失败短信
     */
    void resendSmsTask();

    /**
     * 组装job
     *
     * @param redisKey
     */
    public void assembleJob(String redisKey);

    /**
     * 机器心跳
     */
    void machineHeart();

    void updateMarkerQuality();

    /**
     * 创建评卷任务
     */
    void updateBuildMarkTask();

    /**
     * 初始化阅卷数据
     */
    void initMarkData();

    void clearTimeoutTask();

    void createPdfTask();
}
